package managed;

import ejb.BigBangFacadeLocal;
import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

/**
 *
 * @author Clayton K. N. Passos
 */
@Named
@RequestScoped
public class Ok {

    @EJB(beanName = "BigBangFacade")
    private BigBangFacadeLocal bang;

    public Ok() {
    }

    /*
     * Open: http://localhost:8080/GuaxiniBigFat/index.xhtml
     */
    public String go() {

        if (bang == null) {
            System.out.println("is not right");
        }

        bang.print();


        return "index";
    }
}
